#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file_to_rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file :
#	label 2 is QDC
#	label 11 is RF
#

echo "-------------------------------------------------------------------"

faster_disfast  ../rf_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1000 Hz
#     => 0.001s delay (1/1000)
#     => processus in background (&)
#

faster_file_to_rhb  ../rf_data_0001.fast  0.001 &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc  	      ->  RHB default behaviours
#      FULL.pid       ->  faster data declaration
#      FULL.facqConf  ->  histograms declaration
#      FULL.rhvConf   ->  visualisation configuration
#

RHB  -r

###############################################################

pkill faster_file_to_rhb

